package com.safeway.epe.service;

import com.safeway.epe.controller.TransactionController;
import com.safeway.epe.domain.TransactionRecorder;
import com.safeway.epe.repository.TransactionRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class TransactionServiceImpl implements  TransactionService
{
    @Autowired
    TransactionRepository repository;

    /*@Override
    public ResponseEntity<List<TransactionController>> getAllTransactions() {
        List<TransactionRecorder> transactions = new ArrayList<TransactionRecorder>();
        repository.findAll().forEach(transactions::add);
        return new ResponseEntity<List<TransactionController>>(HttpStatus.OK);
    }*/

    @Override
    public ResponseEntity<TransactionRecorder> getTransactionById(String uuid) {
        Optional<TransactionRecorder> optionalTransaction = repository.findById(UUID.fromString(uuid));
        return ResponseEntity.status(HttpStatus.FOUND).body(optionalTransaction.get());
    }
}
