package com.safeway.epe.controller;

import com.safeway.epe.domain.TransactionRecorder;
import com.safeway.epe.service.TransactionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class TransactionController
{
    @Autowired
    private TransactionService service;

    /*@GetMapping("transactions")
    public ResponseEntity<List<TransactionController>> getAllTransactions()
    {
          return service.getAllTransactions();
    }*/

    @GetMapping("transaction/{uuid}")
    public ResponseEntity<TransactionRecorder> getTransaction(@PathVariable("uuid") String uuid)
    {
        return service.getTransactionById(uuid);
    }
}
